
package test3.substitution;

import org.jvnet.hk2.annotations.Service;
import org.jvnet.hk2.config.ConfigInjector;
import org.jvnet.hk2.config.Dom;
import org.jvnet.hk2.config.InjectionTarget;

@Service(name = "user-group", metadata = "target=test3.substitution.UserGroup,@name=optional,@name=datatype:java.lang.String,@name=leaf")
@InjectionTarget(UserGroup.class)
public class UserGroupInjector
    extends ConfigInjector<UserGroup>
{


    public void inject(Dom dom, UserGroup target) {
        attribute_name(dom, target);
    }

    public void injectAttribute(Dom dom, String name, UserGroup target) {
        if ("name".equals(name)) {
            attribute_name(dom, target);
        }
    }

    public void injectElement(Dom dom, String name, UserGroup target) {
    }

    public void attribute_name(Dom dom, UserGroup target) {
        String v1 = dom.attribute("name");
        if (v1 == null) {
            return ;
        }
        target.name = v1;
    }

}
