
package test3;

import org.jvnet.hk2.annotations.Service;
import org.jvnet.hk2.config.ConfigInjector;
import org.jvnet.hk2.config.Dom;
import org.jvnet.hk2.config.InjectionTarget;

@Service(name = "bird", metadata = "target=test3.Bird,@name=optional,@name=datatype:java.lang.String,@name=leaf")
@InjectionTarget(Bird.class)
public class BirdInjector
    extends ConfigInjector<Bird>
{


    public void inject(Dom dom, Bird target) {
        attribute_name(dom, target);
    }

    public void injectAttribute(Dom dom, String name, Bird target) {
        if ("name".equals(name)) {
            attribute_name(dom, target);
        }
    }

    public void injectElement(Dom dom, String name, Bird target) {
    }

    public void attribute_name(Dom dom, Bird target) {
        String v1 = dom.attribute("name");
        if (v1 == null) {
            return ;
        }
        target.name = v1;
    }

}
